Update customer contact
POST
/merchants/{merchantCode}/customers/{customerId}/contacts/{contactId}
const url = 'https://customer.shopgate.io/v1/merchants/example/customers/example/contacts/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"externalContactCode":"357709b0-9378-470b-976e-1b040e29b97b","status":"active","firstName":"John","middleName":"Doug","lastName":"Doe","companyName":"Shopgate Inc","address1":"12 Somestreet","address2":"","address3":"","address4":"","city":"Austin","postalCode":"78732","region":"TX","country":"US","additionalFields":{"dhlPostBoxNumber":"example","dhlPostNumber":"example"},"phone":"000-000-0000","fax":"000-000-0000","mobile":"000-000-0000","emailAddress":"somelocation@someRetailer.com","isDefaultShipping":false,"isDefaultBilling":false,"externalUpdateDate":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://customer.shopgate.io/v1/merchants/example/customers/example/contacts/example \ --header 'Content-Type: application/json' \ --data '{ "externalContactCode": "357709b0-9378-470b-976e-1b040e29b97b", "status": "active", "firstName": "John", "middleName": "Doug", "lastName": "Doe", "companyName": "Shopgate Inc", "address1": "12 Somestreet", "address2": "", "address3": "", "address4": "", "city": "Austin", "postalCode": "78732", "region": "TX", "country": "US", "additionalFields": { "dhlPostBoxNumber": "example", "dhlPostNumber": "example" }, "phone": "000-000-0000", "fax": "000-000-0000", "mobile": "000-000-0000", "emailAddress": "somelocation@someRetailer.com", "isDefaultShipping": false, "isDefaultBilling": false, "externalUpdateDate": "2026-04-15T12:00:00Z" }'Update customer contact
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
customerId
required
string
contactId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
externalContactCode
External identifier of the contact
string | null
Example
357709b0-9378-470b-976e-1b040e29b97bstatus
string
Example
activefirstName
string
Example
JohnmiddleName
string | null
Example
DouglastName
string
Example
DoecompanyName
string | null
Example
Shopgate Incaddress1
string
Example
12 Somestreetaddress2
string | null
Example
address3
string | null
Example
address4
string | null
Example
city
string
Example
AustinpostalCode
string
Example
78732region
string
Example
TXcountry
string
Example
USadditionalFields
object
dhlPostBoxNumber
Number of a postbox
string | null
dhlPostNumber
Number of a post
string | null
phone
Validated according to country code
string | null
Example
000-000-0000fax
Validated according to country code
string | null
Example
000-000-0000mobile
Validated according to country code
string | null
Example
000-000-0000emailAddress
string format: email
Example
somelocation@someRetailer.comisDefaultShipping
boolean
Example
trueisDefaultBilling
boolean
Example
trueexternalUpdateDate
string format: date-time
Responses
Section titled “Responses”Contact successfully updated
Media typeapplication/json
Invalid contact type passed
Media typeapplication/json
Merchant, customer or contact not found
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
